Name:        envy-code-r-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/EnvyCodeR.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 EnvyCodeRNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Bold.ttf
install -Dm644 EnvyCodeRNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Italic.ttf
install -Dm644 EnvyCodeRNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Regular.ttf
install -Dm644 EnvyCodeRNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Bold.ttf
install -Dm644 EnvyCodeRNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Italic.ttf
install -Dm644 EnvyCodeRNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Regular.ttf
install -Dm644 EnvyCodeRNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Bold.ttf
install -Dm644 EnvyCodeRNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Italic.ttf
install -Dm644 EnvyCodeRNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/EnvyCodeRNerdFontPropo-Regular.ttf
%license "LICENCE.md"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
